logilab-common #241813 unittest_date failures with Python 3.4 [validation pending]

unittest_date triggers exceptions with Python 3.4.
I use logilab-common 0.61.0.
=========================  unittest_date.py  =========================
test_add_days_worked (unittest_date.DateTC) ... ok
test_day (unittest_date.DateTC)
enumerate days ... ok
test_get_national_holidays (unittest_date.DateTC) ... ok
ok
ok
test_month (unittest_date.DateTC)
enumerate months ... ok
test_open_days_afternoon (unittest_date.DateTC) ... ok
test_open_days_afternoon_before_holiday (unittest_date.DateTC) ... ok
test_open_days_afternoon_before_saturday (unittest_date.DateTC) ... ok
test_open_days_day_nextday (unittest_date.DateTC) ... ok
test_open_days_friday_monday (unittest_date.DateTC) ... ok
test_open_days_friday_monday_with_two_weekends (unittest_date.DateTC) ... ok
test_open_days_friday_saturday (unittest_date.DateTC) ... ok
test_open_days_friday_sunday (unittest_date.DateTC) ... ok
test_open_days_now_and_before (unittest_date.DateTC) ... ok
test_open_days_now_now (unittest_date.DateTC) ... ok
test_open_days_now_now2 (unittest_date.DateTC) ... ok
test_open_days_saturday_monday (unittest_date.DateTC) ... ok
test_open_days_saturday_sunday (unittest_date.DateTC) ... ok
test_open_days_saturday_tuesday (unittest_date.DateTC) ... ok
test_open_days_tuesday_friday (unittest_date.DateTC) ... ok
test_open_days_tuesday_wednesday (unittest_date.DateTC)
week-end + easter monday ... ok
test_ticks2datetime_before_1900 (unittest_date.DateTC) ... ok
test_ustrftime_before_1900 (unittest_date.DateTC) ... ok
test_add_days_worked (unittest_date.MxDateTC) ... test_add_days_worked (unittest_date.MxDateTC) ... test_add_days_worked (unittest_date.MxDateTC) ... test_add_days_worked (unittest_date.MxDateTC) ... unhandled exception occurred while testing unittest_date
Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 550, in quiet_run
    func(*args, **kwargs)
  File "/tmp/logilab-common-0.61.0/build/lib/logilab/common/test/unittest_date.py", line 160, in setUp
    self.check_mx()
  File "/tmp/logilab-common-0.61.0/build/lib/logilab/common/test/unittest_date.py", line 157, in check_mx
    self.skipTest('mx.DateTime is not installed')
  File "/usr/lib64/python3.4/unittest/case.py", line 635, in skipTest
    raise SkipTest(reason)
unittest.case.SkipTest: mx.DateTime is not installed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1134, in _ts_wrapped_run
    test(result, runcondition, options)
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 586, in __call__
    if not self.quiet_run(result, self.setUp):
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 554, in quiet_run
    self._addSkip(result, str(e))
TypeError: _addSkip() missing 1 required positional argument: 'reason'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 550, in quiet_run
    func(*args, **kwargs)
  File "/tmp/logilab-common-0.61.0/build/lib/logilab/common/test/unittest_date.py", line 160, in setUp
    self.check_mx()
  File "/tmp/logilab-common-0.61.0/build/lib/logilab/common/test/unittest_date.py", line 157, in check_mx
    self.skipTest('mx.DateTime is not installed')
  File "/usr/lib64/python3.4/unittest/case.py", line 635, in skipTest
    raise SkipTest(reason)
unittest.case.SkipTest: mx.DateTime is not installed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1129, in _ts_wrapped_run
    test._wrapped_run(result, debug, runcondition=runcondition, options=options)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1136, in _ts_wrapped_run
    test(result)
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 586, in __call__
    if not self.quiet_run(result, self.setUp):
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 554, in quiet_run
    self._addSkip(result, str(e))
TypeError: _addSkip() missing 1 required positional argument: 'reason'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 550, in quiet_run
    func(*args, **kwargs)
  File "/tmp/logilab-common-0.61.0/build/lib/logilab/common/test/unittest_date.py", line 160, in setUp
    self.check_mx()
  File "/tmp/logilab-common-0.61.0/build/lib/logilab/common/test/unittest_date.py", line 157, in check_mx
    self.skipTest('mx.DateTime is not installed')
  File "/usr/lib64/python3.4/unittest/case.py", line 635, in skipTest
    raise SkipTest(reason)
unittest.case.SkipTest: mx.DateTime is not installed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1134, in _ts_wrapped_run
    test(result, runcondition, options)
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 586, in __call__
    if not self.quiet_run(result, self.setUp):
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 554, in quiet_run
    self._addSkip(result, str(e))
TypeError: _addSkip() missing 1 required positional argument: 'reason'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 550, in quiet_run
    func(*args, **kwargs)
  File "/tmp/logilab-common-0.61.0/build/lib/logilab/common/test/unittest_date.py", line 160, in setUp
    self.check_mx()
  File "/tmp/logilab-common-0.61.0/build/lib/logilab/common/test/unittest_date.py", line 157, in check_mx
    self.skipTest('mx.DateTime is not installed')
  File "/usr/lib64/python3.4/unittest/case.py", line 635, in skipTest
    raise SkipTest(reason)
unittest.case.SkipTest: mx.DateTime is not installed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 429, in testfile
    options=self.options, outstream=sys.stderr)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 765, in __init__
    testLoader=NonStrictTestLoader())
  File "/usr/lib64/python3.4/unittest/main.py", line 93, in __init__
    self.runTests()
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 828, in runTests
    return self._runTests()
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 873, in _runTests
    result = self.testRunner.run(self.test)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 956, in run
    test(result, runcondition=self._runcondition, options=self.options)
  File "/usr/lib64/python3.4/unittest/suite.py", line 87, in __call__
    return self.run(*args, **kwds)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1109, in _ts_run
    self._wrapped_run(result,runcondition=runcondition, options=options)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1131, in _ts_wrapped_run
    test._wrapped_run(result, debug)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1136, in _ts_wrapped_run
    test(result)
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 586, in __call__
    if not self.quiet_run(result, self.setUp):
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 554, in quiet_run
    self._addSkip(result, str(e))
TypeError: _addSkip() missing 1 required positional argument: 'reason'
*******************************************************************************
Difference between unittest/case.py in Python 3.3 and 3.4 contains:
-    def _addSkip(self, result, reason):
+    def _addSkip(self, result, test_case, reason):
prioritynormal
typebug
done in0.63.1
load left0.000
closed by<not specified>